export class DepartureStation {
    constructor(private name: string) {}

    getName() {
        return `${this.name}`;
    }
}
export class DestinationStation {
    constructor(private name: string) {}

    getName() {
        return `${this.name}`;
    }
}
export class Fare {
    constructor(private trainfare: number, private dept: DepartureStation, private dest: DestinationStation) {}

    getFare() {
        return this.trainfare;
    }
    getDept():DepartureStation {
        return this.dept;
    }
    getDest():DestinationStation {
        return this.dest;
    }
}
export class FareTable {
    fare = new Fare(0,new DepartureStation(''),new DestinationStation(''));
    fareTable:Fare[];
    constructor() {
		this.fareTable = [];
	}
    add(fare: Fare) {
        this.fareTable.push(fare);
    }

    findFare(dept: DepartureStation, dest: DestinationStation):Fare{
		var fareFind = new Fare(0,dept,dest);
		this.fareTable.forEach(faretemp => {
			if (faretemp.getDept().getName() == dept.getName() 
				&&
				faretemp.getDest().getName() == dest.getName()) {
					fareFind = faretemp;
				}
		});
		return fareFind;
	}
}